package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_KAFKA_TOPIC_SECRET"
)
public class TCoreKafkaTopicSecret extends TBaseEntity {
   @Column(
      length = 32
   )
   private String dbip;
   @Column(
      length = 32
   )
   private String dbport;
   @Column(
      length = 128
   )
   private String dbtopic;
   @Column(
      length = 128
   )
   private String filestructureid;
   @Column(
      length = 256
   )
   private String projectid;
   @Column(
      length = 256
   )
   private String datasystemid;
   @Column(
      length = 128
   )
   private String encryption_secretkey_id;
   @Column(
      length = 128
   )
   private String secretkeyvalue;
   @Column(
      length = 512
   )
   private String encryptiontypename;
   @Column(
      length = 512
   )
   private String secretkeyname;

   public String getDbip() {
      return this.dbip;
   }

   public String getDbport() {
      return this.dbport;
   }

   public String getDbtopic() {
      return this.dbtopic;
   }

   public String getFilestructureid() {
      return this.filestructureid;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public String getEncryption_secretkey_id() {
      return this.encryption_secretkey_id;
   }

   public String getSecretkeyvalue() {
      return this.secretkeyvalue;
   }

   public String getEncryptiontypename() {
      return this.encryptiontypename;
   }

   public String getSecretkeyname() {
      return this.secretkeyname;
   }

   public void setDbip(final String dbip) {
      this.dbip = dbip;
   }

   public void setDbport(final String dbport) {
      this.dbport = dbport;
   }

   public void setDbtopic(final String dbtopic) {
      this.dbtopic = dbtopic;
   }

   public void setFilestructureid(final String filestructureid) {
      this.filestructureid = filestructureid;
   }

   public void setProjectid(final String projectid) {
      this.projectid = projectid;
   }

   public void setDatasystemid(final String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public void setEncryption_secretkey_id(final String encryption_secretkey_id) {
      this.encryption_secretkey_id = encryption_secretkey_id;
   }

   public void setSecretkeyvalue(final String secretkeyvalue) {
      this.secretkeyvalue = secretkeyvalue;
   }

   public void setEncryptiontypename(final String encryptiontypename) {
      this.encryptiontypename = encryptiontypename;
   }

   public void setSecretkeyname(final String secretkeyname) {
      this.secretkeyname = secretkeyname;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKafkaTopicSecret)) {
         return false;
      } else {
         TCoreKafkaTopicSecret other = (TCoreKafkaTopicSecret)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$dbip = this.getDbip();
            Object other$dbip = other.getDbip();
            if (this$dbip == null) {
               if (other$dbip != null) {
                  return false;
               }
            } else if (!this$dbip.equals(other$dbip)) {
               return false;
            }

            Object this$dbport = this.getDbport();
            Object other$dbport = other.getDbport();
            if (this$dbport == null) {
               if (other$dbport != null) {
                  return false;
               }
            } else if (!this$dbport.equals(other$dbport)) {
               return false;
            }

            Object this$dbtopic = this.getDbtopic();
            Object other$dbtopic = other.getDbtopic();
            if (this$dbtopic == null) {
               if (other$dbtopic != null) {
                  return false;
               }
            } else if (!this$dbtopic.equals(other$dbtopic)) {
               return false;
            }

            Object this$filestructureid = this.getFilestructureid();
            Object other$filestructureid = other.getFilestructureid();
            if (this$filestructureid == null) {
               if (other$filestructureid != null) {
                  return false;
               }
            } else if (!this$filestructureid.equals(other$filestructureid)) {
               return false;
            }

            Object this$projectid = this.getProjectid();
            Object other$projectid = other.getProjectid();
            if (this$projectid == null) {
               if (other$projectid != null) {
                  return false;
               }
            } else if (!this$projectid.equals(other$projectid)) {
               return false;
            }

            Object this$datasystemid = this.getDatasystemid();
            Object other$datasystemid = other.getDatasystemid();
            if (this$datasystemid == null) {
               if (other$datasystemid != null) {
                  return false;
               }
            } else if (!this$datasystemid.equals(other$datasystemid)) {
               return false;
            }

            Object this$encryption_secretkey_id = this.getEncryption_secretkey_id();
            Object other$encryption_secretkey_id = other.getEncryption_secretkey_id();
            if (this$encryption_secretkey_id == null) {
               if (other$encryption_secretkey_id != null) {
                  return false;
               }
            } else if (!this$encryption_secretkey_id.equals(other$encryption_secretkey_id)) {
               return false;
            }

            Object this$secretkeyvalue = this.getSecretkeyvalue();
            Object other$secretkeyvalue = other.getSecretkeyvalue();
            if (this$secretkeyvalue == null) {
               if (other$secretkeyvalue != null) {
                  return false;
               }
            } else if (!this$secretkeyvalue.equals(other$secretkeyvalue)) {
               return false;
            }

            Object this$encryptiontypename = this.getEncryptiontypename();
            Object other$encryptiontypename = other.getEncryptiontypename();
            if (this$encryptiontypename == null) {
               if (other$encryptiontypename != null) {
                  return false;
               }
            } else if (!this$encryptiontypename.equals(other$encryptiontypename)) {
               return false;
            }

            Object this$secretkeyname = this.getSecretkeyname();
            Object other$secretkeyname = other.getSecretkeyname();
            if (this$secretkeyname == null) {
               if (other$secretkeyname != null) {
                  return false;
               }
            } else if (!this$secretkeyname.equals(other$secretkeyname)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKafkaTopicSecret;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $dbip = this.getDbip();
      result = result * 59 + ($dbip == null ? 43 : $dbip.hashCode());
      Object $dbport = this.getDbport();
      result = result * 59 + ($dbport == null ? 43 : $dbport.hashCode());
      Object $dbtopic = this.getDbtopic();
      result = result * 59 + ($dbtopic == null ? 43 : $dbtopic.hashCode());
      Object $filestructureid = this.getFilestructureid();
      result = result * 59 + ($filestructureid == null ? 43 : $filestructureid.hashCode());
      Object $projectid = this.getProjectid();
      result = result * 59 + ($projectid == null ? 43 : $projectid.hashCode());
      Object $datasystemid = this.getDatasystemid();
      result = result * 59 + ($datasystemid == null ? 43 : $datasystemid.hashCode());
      Object $encryption_secretkey_id = this.getEncryption_secretkey_id();
      result = result * 59 + ($encryption_secretkey_id == null ? 43 : $encryption_secretkey_id.hashCode());
      Object $secretkeyvalue = this.getSecretkeyvalue();
      result = result * 59 + ($secretkeyvalue == null ? 43 : $secretkeyvalue.hashCode());
      Object $encryptiontypename = this.getEncryptiontypename();
      result = result * 59 + ($encryptiontypename == null ? 43 : $encryptiontypename.hashCode());
      Object $secretkeyname = this.getSecretkeyname();
      result = result * 59 + ($secretkeyname == null ? 43 : $secretkeyname.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKafkaTopicSecret(dbip=" + this.getDbip() + ", dbport=" + this.getDbport() + ", dbtopic=" + this.getDbtopic() + ", filestructureid=" + this.getFilestructureid() + ", projectid=" + this.getProjectid() + ", datasystemid=" + this.getDatasystemid() + ", encryption_secretkey_id=" + this.getEncryption_secretkey_id() + ", secretkeyvalue=" + this.getSecretkeyvalue() + ", encryptiontypename=" + this.getEncryptiontypename() + ", secretkeyname=" + this.getSecretkeyname() + ")";
   }
}
